## freebsd-libs 8.2+ds1

=== debian/changelog ===
freebsd-libs (8.2+ds1-4) unstable; urgency=low

  * Include <stdint.h> in a few more headers that use uintxx_t types.
    (Closes: #634752)
  * Move libsbuf.so.0 to /lib (needed by /sbin/zfs and /sbin/zpool).
    (Closes: #637100)
  * Move libipx.so.2 to /lib (needed by ifconfig).

 -- Robert Millan <rmh@debian.org>  Mon, 08 Aug 2011 14:34:50 +0000

freebsd-libs (8.2+ds1-3) unstable; urgency=low

  * Remove hunk to include <sys/user.h> in subr_sbuf.c, as this breaks
    hurd-i386.
  * Replace 14_sbuf_page_size.diff with cherry-picked
    00_sbuf_page_size.diff from HEAD, which fixes the same problem
    differently.

 -- Robert Millan <rmh@debian.org>  Sun, 03 Jul 2011 19:03:40 +0200

freebsd-libs (8.2+ds1-2) unstable; urgency=low

  * Replace use of __aligned() in libusb.h and libusb20_desc.h.
    (Closes: #631544)
  * Build-Depend on libbsd-dev everywhere, not just [kfreebsd-any]
    (fixes FTBFS on non-kFreeBSD).
  * 14_sbuf_page_size.diff: PAGE_SIZE is not available on all
    platforms (fixes FTBFS on armel, ia64, powerpc, sparc).
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Sun, 26 Jun 2011 17:53:53 +0200

freebsd-libs (8.2+ds1-1) unstable; urgency=low

  * Bump libgeom SOVERSION from 0 to 1 and rename package libgeom0 to
    libgeom1, due to ABI changes in ‘struct gprovider’. (Closes: #630107)
  * Add new libjail library packages. Based on a patch by Robert Millan.
    (Closes: #629521)
  * Update copyright holders and years in debian/copyright.
  * Integrate svn exports of single files into the main svn export loop.
  * Do not build profile libraries, which we don't use anyway.

 -- Guillem Jover <guillem@debian.org>  Wed, 15 Jun 2011 22:48:21 +0200

freebsd-libs (8.2-2) unstable; urgency=low

  * Switch to use the libbsd-overlay:
    - Bump libbsd-dev Build-Depends to (>= 0.3.0).
    - Add pkg-config to Build-Depends.
    - Remove some now obsolete porting code.
  * Remove ‘XC-’ prefix from Package-Type field.
  * Make <sys/sbuf.h> usable:
    - Change __va_list to va_list.
    - Include <sys/types.h> and <stdarg.h>.

 -- Guillem Jover <guillem@debian.org>  Wed, 08 Jun 2011 03:37:15 +0200

freebsd-libs (8.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.2.

  [ Robert Millan ]
  * Build libsbuf-dev on non-kFreeBSD systems.  (Closes: #602766)

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
    - Refresh all patches.
  * Add myself to Uploaders.
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap CFLAGS and PMAKE variables in debian/rules.
  * Intersperse Build-Depends description comments between the actual
    dependencies.
  * Set numeric user and group id to 0 for files in get-orig-source.
  * Add symbols files for all shared libraries.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 07:43:42 +0200

freebsd-libs (8.1-5) unstable; urgency=low

  * libusb2: fix USB devices detection. Closes: bug#594330.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Aug 2010 00:29:47 +0200

freebsd-libs (8.1-4) unstable; urgency=low

  * Add a libsbuf0-udeb package.
  * Add "(udeb)" to the short description of all udeb packages.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 20 Aug 2010 20:01:41 +0200

freebsd-libs (8.1-3) unstable; urgency=low

  * Don't install libusbhid-dev link in libusb-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 31 Jul 2010 23:57:14 +0200

freebsd-libs (8.1-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * Link all libraries dynamically with each other.
  * Don't install PIC variant of the static libraries.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 17:55:59 +0200

freebsd-libs (8.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * based on FreeBSD 8.1
    drop 13_libusb-update.diff, applied upstream
    update 09_libusbhid.diff

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.9.1.
  * Add a libusbhid-common package containing usb_hid_usages. Closes:
    bug#578678.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Jul 2010 20:21:25 +0200

freebsd-libs (8.0-5) unstable; urgency=low

  [ Guillem Jover ]
  * Use kfreebsd-any instead of explicit architecture list.

  [ Aurelien Jarno ]
  * Add libgeom0 and libipx2 udeb packages.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Jun 2010 23:10:06 +0200

freebsd-libs (8.0-4) unstable; urgency=low

  * libusb2-dev: add a libusb-1.0.so -> libusb.so symlink to make
    configure scripts happy.
  * Add patches/13_libusb-update.diff from upstream to update the API.
  * Add udeb package to libusb2's shlib.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 08 Jan 2010 14:17:42 +0100

freebsd-libs (8.0-3) unstable; urgency=low

  [ Petr Salinger ]
  * bump build-depends on kfreebsd-kernel-headers to (>= 0.45)
  * add libusb2 and libusb2-dev packages

  [ Aurelien Jarno ]
  * Make libusb2-dev conflict with libusb-dev.
  * Add a libusb2-udev package.
  * Add pkg-config files matching libusb 0.1/libusb 1.0.
  * Add a libusb-config script matching libusb 0.1.
  * Make libusb2-dev provides libusb-1.0-0-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 09 Dec 2009 02:03:24 +0100

freebsd-libs (8.0-2) unstable; urgency=low

  * Bump build-depends on kfreebsd-kernel-headers to (>= 0.43).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Nov 2009 22:42:32 +0100

freebsd-libs (8.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * based on FreeBSD 8.0
  * change packages name to reflect SONAME changes:
    - libusbhid3   -> libusbhid4
    - libkiconv3   -> libkiconv4
    - libdevstat6  -> libdevstat7
  * add libmemstat3 and libmemstat-dev packages
  * add libnetgraph4 and libnetgraph-dev packages

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Nov 2009 10:42:15 +0100

freebsd-libs (7.2-4) unstable; urgency=low


