## freebsd-libs 8.3~svn229725

=== lib/libcam/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 LIB=		cam
 SHLIBDIR?=	/lib
-SRCS=		camlib.c scsi_cmdparse.c scsi_all.c scsi_da.c scsi_sa.c cam.c
+SRCS=		camlib.c scsi_cmdparse.c scsi_all.c scsi_da.c scsi_sa.c cam.c \
+		ata_all.c
 INCS=		camlib.h
 
 DPADD=		${LIBSBUF}
@@ -34,7 +35,8 @@
 		cam_cdbparse.3 csio_encode_visit.3 \
 		cam_cdbparse.3 buff_encode_visit.3
 
-.PATH:		${.CURDIR}/../../sys/cam/scsi ${.CURDIR}/../../sys/cam
+.PATH:		${.CURDIR}/../../sys/cam/scsi ${.CURDIR}/../../sys/cam/ata \
+		${.CURDIR}/../../sys/cam
 
 SDIR=		${.CURDIR}/../../sys
 CFLAGS+=	-I${.CURDIR} -I${SDIR}
