=== lib/libsbuf/Makefile ===
# $FreeBSD$

LIB=	sbuf
SHLIBDIR?= /lib
SRCS=	subr_sbuf.c 
WARNS?= 2

.PATH:	${.CURDIR}/../../sys/kern

.include <bsd.lib.mk>
