=== debian/changelog ===
freebsd-libs (8.3~svn229725-3) unstable; urgency=low

  * Remove 15_kkh_kludge.diff, depend on recent k-k-h instead.
  * cpumask_t.diff: Workaround for removal of cpumask_t in kfreebsd-9
    headers.
  * cdefs_macros.diff: Replace all use of BSDish cdefs macros that
    affect exported headers.  (Closes: #656562)

 -- Robert Millan <rmh@debian.org>  Sat, 21 Jan 2012 01:21:17 +0100

freebsd-libs (8.3~svn229725-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Millan <rmh@debian.org>  Sat, 14 Jan 2012 21:42:00 +0100

freebsd-libs (8.3~svn229725-1) experimental; urgency=low

  * New upstream snapshot.

 -- Robert Millan <rmh@debian.org>  Sun, 08 Jan 2012 18:42:53 +0100

freebsd-libs (8.2+ds2-2) unstable; urgency=low

  * Build-depend on libncurses5-dev (for libalias).
  * Fix undefined reference to ip_next. Thanks Christoph Egger.
    (Closes: #654581)

 -- Robert Millan <rmh@debian.org>  Sun, 08 Jan 2012 16:20:31 +0100

freebsd-libs (8.2+ds2-1) unstable; urgency=low

  * Add libalias, using patch from Christoph Egger with some adjustments.
    (Closes: #653193)

 -- Robert Millan <rmh@debian.org>  Sun, 01 Jan 2012 15:37:48 +0100
