=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
-Build-Depends: debhelper (>= 7), pkg-config, freebsd-buildutils,
+Build-Depends: debhelper (>= 7), pkg-config, freebsd-buildutils (>= 9),
  libbsd-dev (>= 0.3.0),
  libc0.1-dev (>= 2.13-0exp2) [kfreebsd-any],
  libgdbm-dev [kfreebsd-any],
- kfreebsd-kernel-headers (>= 0.54) [kfreebsd-any],
+ kfreebsd-kernel-headers (>= 0.63) [kfreebsd-any],
 # libexpat-dev: aka bsdxml. needed by libgeom
- libexpat-dev [kfreebsd-any]
+ libexpat-dev [kfreebsd-any],
+# libncurses5-dev: needed by libalias
+ libncurses5-dev [kfreebsd-any],
 Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-libs/
 Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-libs/
 Standards-Version: 3.9.2
@@ -259,3 +261,19 @@
 Description: Development files for libjail
  This package contains the header files and static library needed to
  compile applications that use libjail.
+
+Package: libalias7
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: FreeBSD packet aliasing library
+ The libalias library is a collection of functions for aliasing and
+ dealiasing of IP packets, intended for masquerading and network address
+ translation (NAT).
+
+Package: libalias-dev
+Section: libdevel
+Architecture: kfreebsd-any
+Depends: libalias7 (= ${binary:Version}), ${misc:Depends}
+Description: Development files for libalias
+ This package contains the header files and static library needed to
+ compile applications that use libalias.
