=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,13 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
+tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
+svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
+version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
+major		:= $(shell echo $(version) | sed -e 's/\..*//g')
+revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
 
 CFLAGS = -Wall -g -pipe -fPIC -I. -I$(CURDIR)/sys -D_GNU_SOURCE \
          $(shell pkg-config --cflags libbsd-overlay) \
@@ -21,16 +28,16 @@
 endif
 
 SOURCE = freebsd-libs
-VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-[^-]*$$/\1/p')
-SVN_REL = $(shell echo $(VERSION) | sed -ne 's/+[^+]*$$//p')
-SVN = http://svn.freebsd.org/base/release/$(SVN_REL).0
-#SVN = http://svn.freebsd.org/base/releng/8.1
-ORIGDIR = $(SOURCE)-$(VERSION)
-TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz
+#SVN		:= http://svn.freebsd.org/base/release/$(version).0
+#SVN		:= http://svn.freebsd.org/base/releng/$(version)
+SVN		:= http://svn.freebsd.org/base/stable/$(major)
+#SVN		:= http://svn.freebsd.org/base/head
+ORIGDIR = $(SOURCE)-$(tar_version)
+TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz
 
 PATH := /usr/lib/freebsd:$(PATH)
 DESTDIR = $(CURDIR)/debian/tmp
-PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 \
+PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS) -isystem /usr/include/freebsd -I$(CURDIR)/debian/local/include" NO_WERROR=1 NOGCCERROR=1 \
         NOSHARED=NO NO_SHARED=NO NO_PROFILE=1 DESTDIR=$(DESTDIR) make
 export SHLIB_MAJOR = 0
 kernel = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -44,10 +51,11 @@
 	         lib/libkiconv lib/libnetgraph lib/libjail \
 	         lib/libkvm lib/libmemstat lib/libsbuf lib/libusb \
 	         lib/libusbhid sys/cam \
+		lib/libalias sys/netinet/libalias sys/modules/libalias \
 	         sys/kern/subr_sbuf.c \
 	         sys/sys/sbuf.h \
 	         share/misc/usb_hid_usages ; do \
-	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
+	    svn export -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/$$i ; \
 	done
 	# Remove unused files with non GPL compatible license (eg BSD 4 clauses)
 	rm -f $(ORIGDIR)/sys/cam/scsi/scsi_ch.*
@@ -57,7 +65,7 @@
 	rm -rf $(ORIGDIR)
 
 ifeq ($(kernel), kfreebsd)
-build: build-cam build-geom build-sbuf build-ipx build-kiconv build-kvm build-usbhid build-usb build-devstat build-memstat build-netgraph build-jail
+build: build-cam build-geom build-sbuf build-ipx build-kiconv build-kvm build-usbhid build-usb build-devstat build-memstat build-netgraph build-jail build-alias
 else
 build: build-sbuf
 endif
@@ -120,6 +128,11 @@
 build-jail: build-jail-stamp
 build-jail-stamp:
 	$(PMAKE) -C $(CURDIR)/lib/libjail SHLIBDIR=./
+	touch $@
+
+build-alias: build-alias-stamp
+build-alias-stamp:
+	$(PMAKE) -C $(CURDIR)/lib/libalias SHLIBDIR=./
 	touch $@
 
 clean:
@@ -138,6 +151,7 @@
 	$(PMAKE) -C $(CURDIR)/lib/libusbhid clean
 	$(PMAKE) -C $(CURDIR)/lib/libusb clean
 	$(PMAKE) -C $(CURDIR)/lib/libjail clean
+	$(PMAKE) -C $(CURDIR)/lib/libalias clean
 endif
 	rm -f *stamp
 	dh_clean
@@ -162,6 +176,7 @@
 	$(PMAKE) -C $(CURDIR)/lib/libusbhid install SHLIBDIR=/usr/lib
 	$(PMAKE) -C $(CURDIR)/lib/libusb install SHLIBDIR=/lib
 	$(PMAKE) -C $(CURDIR)/lib/libjail install SHLIBDIR=/lib
+	$(PMAKE) -C $(CURDIR)/lib/libalias install SHLIBDIR=/usr/lib
 
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/pkgconfig
 	install -m644 debian/libusb*.pc $(CURDIR)/debian/tmp/usr/lib/pkgconfig
